Page MenuHomeFreeBSD

Multiple ports: improve regex compliance
ClosedPublic

Authored by kevans on Jun 8 2020, 3:31 AM.
Tags
None
Referenced Files
Unknown Object (File)
Jan 15 2024, 10:29 PM
Unknown Object (File)
Jan 12 2024, 1:16 AM
Unknown Object (File)
Dec 20 2023, 6:17 AM
Unknown Object (File)
Dec 13 2023, 4:03 PM
Unknown Object (File)
Nov 23 2023, 10:19 AM
Unknown Object (File)
Nov 23 2023, 10:19 AM
Unknown Object (File)
Nov 23 2023, 10:19 AM
Unknown Object (File)
Nov 23 2023, 10:16 AM
Subscribers

Details

Summary
Multiple ports: improve regex compliance

These changes largely fall into just two categories:

1. Need textproc/gsed for GNU extensions
2. Extraneous escapes that can go away

For #1, there's a further subdivision into those that require autoconf magic and
those that can get away with BINARY_ALIAS=sed=${LOCALBASE}/bin/gsed.
-CURRENT will soon gain GNU extensions, but these will take longer to get to
all supported releases; we must switch them to gsed to ensure we're actually
properly building them as intended.

For #2, I've fixed these as I can and we should upstream these fixes.

PORTREVISION is bumped for all of the above, because we will almost certainly
build these differently when the replacements actually start working.

These were all detected by the below-referenced exp-run [1]. The patch included
forbids many ordinary characters from being escaped, since we'll later imbue
those with special meanings. This has had the nice side effect of picking up
various things that we didn't handle properly, e.g. \t and \r for tab and carriage
return.

PR: 229925 [1]
MFH: no (invasive risk)
Approved by: koobs (mentor) or bapt (mentor)
Approved by: portmgr (blanket: trivial build fixes)
Differential_Revision: <<this one>>

I've called it a portmgr blanket since these are trivial build fixes after the patch in
PR 229925; I think this is within the spirit of the blanket.

Test Plan
  • exp-run: OK

Diff Detail

Repository
rP FreeBSD ports repository
Lint
Lint Not Applicable
Unit
Tests Not Applicable

Event Timeline

kevans requested review of this revision.Jun 8 2020, 3:31 AM
kevans edited the summary of this revision. (Show Details)
koobs edited the test plan for this revision. (Show Details)
koobs edited the test plan for this revision. (Show Details)
kevans retitled this revision from Bulk change: various sed fixes to Multiple ports: improve regex compliance.Jun 8 2020, 3:41 AM
kevans edited the summary of this revision. (Show Details)
This revision is now accepted and ready to land.Jun 8 2020, 3:45 AM
This revision was automatically updated to reflect the committed changes.